CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Types | Private Attributes
ProtectorChain Class Reference

Protector chain (Implementation). Implementation detail. More...

`#include <ProtectorChain.h>`

Inheritance diagram for ProtectorChain:
[legend]
Collaboration diagram for ProtectorChain:
[legend]

List of all members.

## Classes
class | ProtectFunctor
## Public Member Functions
| ~ProtectorChain ()
void | push (Protector *protector)
void | pop ()
int | count () const
bool | protect (const Functor &functor, const ProtectorContext &context)
## Private Types
typedef CppUnitDeque< Protector * > | Protectors
typedef CppUnitDeque< Functor * > | Functors
## Private Attributes
Protectors | m_protectors

## Detailed Description

Protector chain (Implementation). Implementation detail.

## Member Typedef Documentation

typedef CppUnitDeque<Functor *> ProtectorChain::Functors`[private]`

typedef CppUnitDeque<Protector *> ProtectorChain::Protectors`[private]`

## Constructor & Destructor Documentation

ProtectorChain::~ProtectorChain | ( |  | ) |

## Member Function Documentation

int ProtectorChain::count | ( |  | ) | const

void ProtectorChain::pop | ( |  | ) |

bool ProtectorChain::protect | ( | const Functor & | functor,
|  | const ProtectorContext & | context
| ) |  | `[virtual]`

Implements Protector.

void ProtectorChain::push | ( | Protector * | protector | ) |

## Member Data Documentation

Protectors ProtectorChain::m_protectors`[private]`

The documentation for this class was generated from the following files:

- ProtectorChain.h
- ProtectorChain.cpp

| hosts this site. |  | Send comments to: CppUnit Developers